Subject: Narrow clone (Re: features from GitSurvey 2010)

From: Jonathan Nieder <[email-masked]>
Date: Thu, 3 Feb 2011 11:39:09 -0600

Geert Bosch wrote:

> These narrow clones are especially important for imports of unwieldy
> svn repositories where there is a large amount of unstructured
> branching.

Wouldn't a more careful import be a better solution to that problem?
Practically speaking, I'd rather work with an enormous svn repo like
that by using git-svn to extract subsets than with a botched import
that treats it as one huge (git-managed) project.

svn-all-fast-import, for example, has a fairly simple configuration
syntax allowing to extract whatever subrepositories are needed.